#
# spec file for package gap-numericalsgps
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-numericalsgps
Version:        1.3.1
Release:        1.3
Summary:        GAP: A package for numerical semigroups
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/numericalsgps

#Git-Clone:     https://github.com/gap-packages/numericalsgps
Source:         https://github.com/gap-packages/numericalsgps/releases/download/v%version/NumericalSgps-%version.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.7

%description
The features of this package include

* Defining numerical semigroups;

* Computing several properties of numerical semigroups, namely:
  multiplicity, Frobenius number, (minimal) system of generators,
  Apéry set, gaps, fundamental gaps, etc.;

* Performing several operations on numerical semigroups, namely:
  intersection, quotient by an integer, decompose into
  irreducible semigroups, add a special gap;

%prep
%setup -qn NumericalSgps-%version

%build
find . -type f -name "*~" -delete

%install
rm -Rf scripts
%gappkg_simple_install

%files -f %name.files

%changelog
* Sun Feb 12 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.3.1
  * AperyList now works for an ideal, and computes the Apéry list
    wrt the multiplicity of its ambient numerical semigroup
  * Added a bunch of functions
* Thu Nov 15 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.1.8
  * Added/Changed NumberElement_IdealOfNumericalSemigroup and
    ElementNumber_IdealOfNumericalSemigroup.
  * List and sublist access for numerical semigroups and ideals of
    numerical semigroups, \[\] and \{\}.
  * Iterator for numerical semigroup and ideals of numerical
    semigroups.
  * NextElementOfNumericalSemigroup, NumberElement_NumericalSemigroup
    and ElementNumber_NumericalSemigroup.
  * Functions to translate graphs related to numerical and affine
    semigroups to the dot language.
* Mon Dec 25 2017 jengelh@inai.de
- Update to new upstream release 1.1.5
  * GBASIS is not set while loading singular; it is set inside
    functions calling Gröbner basis for methods using singular.
  * Type is now an operation (clash with FinIng), and
    TypeOfNumericalSemigroup remains an attribute
  * Inequalities was used in MatricesForHomalg as an operation,
    and so we turned it an operation; the corresponding attribute
    is AffineSemigroupInequalities
  * Removed all methods in singular using SingularLibrary (this
    was producing unexpected issues if the required software for
    the singular libraries was not well installed)
  * Removed [0,..,0] from GraverBasis in some methods (and thus
    in the testify)
  * Fixed issue with GeneratorsOfKernelCongruence and
    MinimalPresentationOfAffineSemigroup when it was empty
    (singular method)
* Thu Sep 14 2017 jengelh@inai.de
- Update to new upstream release 1.0.1
  * Added functions to find the set of numerical semigroups (or a
    random numerical semigroup) with a given set of
    pseudo-Frobenius numbers.
  * Fixed bug in the definition of proportionaly modular
    semigroups (affected the case a < c (in this case it should
    return the entire N) -- )
* Fri Feb  7 2014 jengelh@inai.de
- Update to new upstream release 0.980
  * Gluings of numerical semigroups added to the manual.
  * New functions for almost symmetric numerical semigroups
  * New functions for complete intersection numerical semigroups
  * The output of BettiElementsOfNumericalSemigroup is now a set
  * NumericalSemigroupsWithGenus(0) now returns []
  * New functions for maximal embedding dimension numerical
  semigroups
  * New functions related to factorizations of integers
  * New functions for Apery sets added
  * New synonym included: S-I denotes (0+S)-I, the oposite or dual
  of the ideal I
  * Factorizations of an integer (expressions as sums with
  nonnegative coefficients of elements in a list) are now
  performed with RestrictedPartitions, with a speed up of the
  functions that deal with factorizations
* Fri May 10 2013 jengelh@inai.de
- Split numericalsgps (version 0.971) off the gap RPM package
